assemble_image_pieces_scene04_02 = {}
local self = assemble_image_pieces_scene04_02

self.params = 
{
        init_pos = 
                {
                -- 1            
                sf.misc.FloatVector(0.0, 134.0),
                -- 2
                sf.misc.FloatVector(56.0, 501.0),
                -- 3
                sf.misc.FloatVector(676.0, 0.0),
                -- 4
                sf.misc.FloatVector(36.0, 208.0),
                -- 5
                sf.misc.FloatVector(5.0, 340.0),
                -- 6
                sf.misc.FloatVector(308.0, 16.0),
                -- 7
                sf.misc.FloatVector(549.0, 0.0),
                -- 8
                sf.misc.FloatVector(801.0, 15.0),
                -- 9
                sf.misc.FloatVector(10.0, 12.0),
                -- 10
                sf.misc.FloatVector(393.0, 6.0),
                -- 11
                sf.misc.FloatVector(7.0, 422.0),
                -- 12
                sf.misc.FloatVector(8.0, 258.0)
        },

        
        target_pos = 
        {
                -- 1            
                sf.misc.FloatVector(302.0, 169.0),
                -- 2
                sf.misc.FloatVector(468.0, 169.0),
                -- 3
                sf.misc.FloatVector(628.0, 169.0),
                -- 4
                sf.misc.FloatVector(747.0, 169.0),
                -- 5
                sf.misc.FloatVector(302.0, 261.0),
                -- 6
                sf.misc.FloatVector(469.0, 320.0),
                -- 7
                sf.misc.FloatVector(541.0, 276.0),
                -- 8
                sf.misc.FloatVector(693.0, 297.0),
                -- 9
                sf.misc.FloatVector(316.0, 423.0),
                -- 10
                sf.misc.FloatVector(551.0, 384.0),
                -- 11
                sf.misc.FloatVector(534.0, 416.0),
                -- 12
                sf.misc.FloatVector(665.0, 370.0)
        },

                        
        colors = 
        {
                normal = sf.graphics.Color(255, 255, 255, 255),
                selected = sf.graphics.Color(255, 255, 255, 255)
        },
        
        highlight_effect = 
        {
                color =
                {
                        min = sf.graphics.Color(255, 255, 255, 255),
                        max = sf.graphics.Color(255, 100, 200, 100)
                },
                
                time = 700
        },
        
        moving_effect = 
        {
                speed = 0.2
        },
        
        inaccuracy = 15.0,
        
        sound_take = "mini_game_mini_game_assemble_image_take_part_01",
        sound_right_put = "mini_game_mini_game_assemble_image_put_part_01",
        sound_error_put = "mini_game_mini_game_assemble_image_put_part_02"
}

self.Init = function(_owner)
        assemble_image_pieces.params = self.params
        assemble_image_pieces.Init(_owner)
end 

for p,v in pairs(assemble_image_pieces) do
        if not self[p] then self[p] = v end
end
